﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Osoby.Models
{
    public class Person
    {
        [Required(ErrorMessage="Pole Imię jest wymagane")]
        [StringLength(50, ErrorMessage="Imię nie może być dłuższe niż 50 znaków")]
        [DisplayName("Imię")]
        [RegularExpression(@"^[A-ZŁŚŻŹ][a-ząćęłńóśżź]*$", ErrorMessage="Niepoprawna postać imienia")]
        public string FName { get; set; }

        [StringLength(50, ErrorMessage="e-mail nie może być dłuższy niż 50 znaków")]
        [DisplayName("e-mail")]
        [RegularExpression(@"^[a-zA-Z0-9\.]*@[a-zA-Z0-9\.]*\.[a-z]{2,3}$", ErrorMessage="Niepoprawny adres e-mail")]
        public string Email {get; set;}
    }
}